Social API reference

Social API · Collections

delete/v1/communities/{community_id}/collections/{collection_id}/items/{post_id}Auth

Remove a post from a collection (owner only).

Path parameters

community_id*string

Social community UUID.

collection_id*string · uuid

Id of the collection.

post_id*string · uuid

Id of the post.

Query parameters

actor_idstring · uuid

The acting actor; must be the collection owner. Required unless the request sends the deprecated JSON body `{ caller_actor_id }`.

Request body

caller_actor_idstring · uuid

Deprecated: pass `?actor_id=` instead. The caller, who must be the owner.

Example: "aaaaaaaa-0000-0000-0000-000000000001"

Response · 204

Item removed.

Example

Request

DELETE https://social.productcraft.co/v1/communities/{community_id}/collections/{collection_id}/items/{post_id}
Authorization: Bearer YOUR_TOKEN
Content-Type: application/json

{
  "caller_actor_id": "aaaaaaaa-0000-0000-0000-000000000001"
}